List AI Sales Agents
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/sales \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/sales"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/sales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/sales")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/sales",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/sales"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a08b36-6a33-7573-bd0d-5b9c39f2e0b9",
"workspace_id": "01a08b36-6a33-7573-bd0d-5b9ddfdd515b",
"name": "Enterprise Outreach Agent",
"status": 1,
"initial_scrape_ready": false,
"timestamp_created": "2026-09-10T12:06:34.291Z",
"timestamp_updated": "2026-09-10T12:06:34.291Z",
"description": "Targets enterprise companies in tech sector",
"type": "website",
"input": "https://example.com",
"config": {
"memory": {},
"position_details": "Senior Software Engineer - Full-stack development with React and Node.js",
"investment_details": "Seed-stage B2B SaaS companies in fintech with strong recurring revenue",
"research_details": "Interviewing product managers at mid-size tech companies about onboarding workflows",
"partnership_details": "Looking for B2B companies from pharma for a partnership in distributing our product",
"enrichment_settings": {
"enrichment_limit_per_run": 30,
"signal_targeting_enabled": true,
"signal_targeting_categories": [
"website_funding"
]
},
"outreach_settings": {
"opt_out_settings": {
"text_opt_out_enabled": true
}
},
"autonomy_settings": {
"autopilot_mode": false,
"auto_reply_to_responses": false,
"manual_leads_mode": false
}
},
"created_by": "01a08b36-6a33-7573-bd0d-5b9e845f1e69",
"master_lead_list_id": "01a08b36-6a33-7573-bd0d-5b9f3782d39f",
"agent_type": 2,
"self_improvement": false,
"timestamp_last_action": "2026-09-10T12:06:34.291Z",
"timestamp_last_decision": "2026-09-10T12:06:34.291Z",
"next_decision_time": "2026-09-10T12:06:34.291Z"
}
],
"next_starting_after": "01a08b36-c012-7ebe-89a7-942b288c0f85"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Sales Agent
List AI Sales Agents
List the AI Sales Agents of the workspace, newest first.
Requires one of the following scopes: ai_sdr:read, ai_agents:read, ai_sdr:all, all:read, all:all
GET
/
api
/
v2
/
ai-agents
/
sales
List AI Sales Agents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of items to return
Required range:
1 <= x <= 100Example:
10
The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.
Example:
"01a08b36-c012-7ebe-89a7-942a83d97e0d"
Filter by agent status.
Available options:
-1, 0, 1 Example:
1
Filter agents whose name contains this text (case-insensitive).
Example:
"Outbound US"
Filter by a single outbound agent type. 2 = Sales, 7 = Recruiting, 8 = Investment, 9 = User Research, 10 = Partnership.
Available options:
2, 4, 7, 8, 9, 10 Example:
2